﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

namespace GuptaSoap
{
    /// <summary>
    /// Zusammenfassungsbeschreibung für GuptaSoap
    /// </summary>
    [WebService(Namespace = "http://guptacom.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // Um das Aufrufen dieses Webdiensts aus einem Skript mit ASP.NET AJAX zuzulassen, heben Sie die Auskommentierung der folgenden Zeile auf. 
    // [System.Web.Script.Services.ScriptService]
    public class GuptaSoap : System.Web.Services.WebService
    {

        public struct ContactSaveResult
        {
            public Boolean bRet;
            public String sErrorMsg;
        }

        [WebMethod]
        public ContactSaveResult ContactSave(String sFirstName, String sLastName, DateTime dtBirthday, Int32 nLuckyNumber)
        {
            ContactSaveResult cResult = new ContactSaveResult();
            try
            {
                GuptaCom.MyCom cGc = new GuptaCom.MyCom();
                cResult.bRet = cGc.ContactSave(sFirstName, sLastName, dtBirthday, nLuckyNumber, ref cResult.sErrorMsg);
            }
            catch (Exception e)
            {
                cResult.bRet = false;
                cResult.sErrorMsg = e.Message;
            }
            return cResult;
        }
    }
}
